Summary:Multi Router Traffic Grapher
Name:mrtg
Version: 2.5.2
Release: 2 
Group:Applications/Network
Copyright:distributable
Source0: http://www.ee.ethz.ch/~oetiker/webtools/mrtg/pub/mrtg-2.5.2.tar.gz
Source1: mrtg.cfg
Url:http://www.ee.ethz.ch/~oetiker/webtools/mrtg/mrtg.html
Patch0: mrtg-2.2-make.patch
Patch1: mrtg.path.patch

Requires: perl >= 5.003

Buildroot: /var/tmp/mrtg-root

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing GIF
images which provide a LIVE visual representation of this traffic. 

%prep
%setup
%patch0 -p1 -b .make
%patch1 -p1 -b .path


echo "Removing..."
find . -name "*.orig" -print -exec rm -f {} \;

%build
rm -rf contrib/*/*.path
make rateup
make substitute


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/mrtg
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/mrtg
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/

cp  mrtg*.gif $RPM_BUILD_ROOT/home/httpd/html/mrtg/
cp  readme.html $RPM_BUILD_ROOT/home/httpd/html/mrtg/
cp  $RPM_SOURCE_DIR/mrtg.cfg $RPM_BUILD_ROOT/home/httpd/html/mrtg/
cp  mrtg-conf.html $RPM_BUILD_ROOT/home/httpd/html/mrtg

for i in  mrtg rateup; do
  install -m 755 -c $i $RPM_BUILD_ROOT/usr/bin/$i
done

for i in BER.pm SNMP_Session.pm; do
  install -m 755 -c $i $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/
done

find contrib | cpio -pdmv $RPM_BUILD_ROOT/usr/lib/mrtg/
cp -p cfgmaker convert indexmaker $RPM_BUILD_ROOT/usr/lib/mrtg/


%post
 if ! grep '* * * * root /usr/bin/mrtg' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "0-59/5 * * * * root /usr/bin/mrtg /home/httpd/html/mrtg/mrtg.cfg" >> /etc/crontab
 fi

%postun
if [ "$1" = "0" ]; then
        grep -v '* * * * root /usr/bin/mrtg' /etc/crontab > /etc/crontab.new
        mv /etc/crontab.new /etc/crontab
fi


%changelog


* Fri Jun 02 1998 Michael Maher <mike@redhat.com>

- fixed bugs found in package. 

* Fri May 22 1998 Michael Maher <mike@redhat.com>

- updated package
- checked package looks ok

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>

- added WorkDir to mrtg.cfg

* Tue Nov 25 1997 Otto Hammersmith <otto@redhat.com>

- addeed patch to clean up paths to perl in the contrib directory.  ugh

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>

- updated version to 2.5.1
- change buildroot to /var/tmp from /tmp

* Mon Apr 28 1997 Michael Fulbright <msf@redhat.com>

- Updated to 2.2 and changed to build with a Buildroot.


%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir /home/httpd/html/mrtg
/home/httpd/html/mrtg/mrtg*gif
/home/httpd/html/mrtg/readme.html
/home/httpd/html/mrtg/mrtg-conf.html
%config /home/httpd/html/mrtg/mrtg.cfg
/usr/lib/perl5/site_perl/BER.pm
/usr/lib/perl5/site_perl/SNMP_Session.pm
/usr/lib/mrtg
/usr/bin/mrtg
/usr/bin/rateup
%doc readme.txt readme.html mibhelp.txt
%doc COPYING COPYRIGHT Changes Contributors INSTALL Todo
